org.gnome.SessionManager.Presence
Prev | Part II. Internal D-Bus API | Next

## Name

org.gnome.SessionManager.Presence — Session Status Management

## Methods

    SetStatus     (IN  u status);
    SetStatusText (IN  s status_text);

## Signals

    StatusChanged     (u status);
    StatusTextChanged (s status_text);

## Properties

    status       readwrite  u
    status-text  readwrite  s

## Description

This interface is responsible for keeping track of the session's current status, such as whether or not the user is currently idle.

This interface was a lot more important in early versions of GNOME, where the user's presence status was integrated with Telepathy and GNOME Shell, so that it would be propagated into Instant Messaging apps. This is no longer common.

However, this interface is still used (as of GNOME 48) to track the user's idle status.

## Method Details

### The SetStatus() method

    SetStatus (IN  u status);

Set the status value of the session.

`IN u `status``:

  The new status value

### The SetStatusText() method

    SetStatusText (IN  s status_text);

Set the descriptive status text for the session.

`IN s `status_text``:

  The new descriptive status for the session.

## Signal Details

### The "StatusChanged" signal

    StatusChanged (u status);

Emitted when the session status value has changed

`u `status``:

  The new status value

### The "StatusTextChanged" signal

    StatusTextChanged (s status_text);

Indicates that the descriptive session status text has changed.

`s `status_text``:

  The new status text

## Property Details

### The "status" property

    status  readwrite  u

The status of the session. One of the following:

- 0: Available

- 1: Invisible

- 2: Busy

- 3: Idle

### The "status-text" property

    status-text  readwrite  s

The descriptive status for the session

Prev | Up | Next
org.gnome.SessionManager.Inhibitor | Home | Index